Zum Hauptinhalt springen

Documentation Index

Fetch the complete documentation index at: https://docs.llmgenerator.com/llms.txt

Use this file to discover all available pages before exploring further.

GET /file/

Dieser Endpunkt gibt den Inhalt der llms.txt-Datei einer Website zurück. Öffentlicher Endpunkt ohne Authentifizierung – die Datei-URL kann direkt in Ihre Website eingebunden werden.
Die Antwort enthält CORS-Header (Access-Control-Allow-Origin: *) für Cross-Origin-Zugriff und wird 5 Minuten zwischengespeichert.

Pfadparameter

siteId
string
erforderlich
Kennung der Website, deren Datei abgerufen werden soll.

Abfrageparameter

full
boolean
Standard:"false"
Bei true wird die Variante mit Volltextinhalt jeder Seite zurückgegeben. Nützlich für große KI-Kontextfenster.

Antwort

Die Antwort ist der Klartextinhalt der Datei llms.txt mit:
  • Content-Type: text/plain; charset=utf-8
  • Cache-Control: public, max-age=300
curl -X GET https://api.llmgenerator.com/api/v1/file/550e8400-e29b-41d4-a716-446655440000
# Example Domain
> An example domain for use in documentation and examples.

## Pages

- [Home](https://example.com/): The main landing page for Example Domain.
- [About](https://example.com/about): Learn more about Example Domain and its purpose.
- [Contact](https://example.com/contact): Get in touch with the Example Domain team.